<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use thiagoalessio\TesseractOCR\TesseractOCR;

class OCRController extends Controller
{
    public function index()
    {
        return view('ocr');
    }

    public function upload(Request $request)
    {
        $request->validate([
            'file' => 'required|mimes:jpg,jpeg,png,bmp,tiff|max:2048',
        ]);

        $file = $request->file('file');
        $fileName = uniqid() . '_' . time() . '.' . $file->getClientOriginalExtension();
        $file->move(public_path('uploads'), $fileName);

        try {
            $fileRead = (new TesseractOCR(public_path('uploads/' . $fileName)))
                ->setLanguage('eng')
                ->run();
        } catch (\Exception $e) {
            return back()->with('error', $e->getMessage());
        }

        return view('ocr', ['fileRead' => $fileRead]);
    }
}
