<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\ChatbotController;

use Illuminate\Support\Facades\Http;

use App\Http\Controllers\TranscriptionController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


use App\Http\Controllers\OcrTranscriptionController;

Route::get('/perform-ocr', function () {
    return view('ocr');
});

use App\Http\Controllers\OCRController;

Route::get('/ocrr', [OCRController::class, 'index'])->name('ocr.index');
Route::post('/ocr/upload', [OCRController::class, 'upload'])->name('ocr.upload');


Route::get('/chatbot', [ChatbotController::class, 'index'])->name('chatbot.index');
Route::post('/chatbot/send', [ChatbotController::class, 'send'])->name('chatbot.send');
Route::post('/chatbot/query', [ChatbotController::class, 'query'])->name('chatbot.query');
Route::post('/chatbot/upload', [ChatbotController::class, 'upload'])->name('chatbot.upload');
Route::post('/chatbot/clear', [ChatbotController::class, 'clearSession'])->name('chatbot.clear');

Route::post('/chatbot/query', [ChatbotController::class, 'query'])->name('chatbot.query');



Route::get('/', function () {
    return view('chatbot');
});

Route::post('/predict', function (Illuminate\Http\Request $request) {
    $apiKey = env('AI_API_KEY');
    $input = $request->input('input');

    $response = Http::withHeaders([
        'Authorization' => 'Bearer ' . $apiKey,
        'Content-Type' => 'application/json'
    ])->post('https://generativelanguage.googleapis.com/v1beta/models/gemini-1.5-flash-latest:generateContent', [
        'input' => $input
    ]);

    return $response->json();
});













Route::get('/chatbot', [ChatbotController::class, 'index'])->name('chatbot.index');
Route::post('/chatbot/send', [ChatbotController::class, 'send'])->name('chatbot.send');

Route::get('/transcribe', [TranscriptionController::class, 'transcribe'])->name('transcribe');
Route::post('/process', [TranscriptionController::class, 'process'])->name('process');

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');

require __DIR__.'/auth.php';


Route::get('/admin/dashboard', function () {
    return view('admin.dashboard');
})->middleware(['auth:admin'])->name('admin.dashboard');

require __DIR__.'/adminauth.php';



